ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013671ClearOSapp-network-report - Network Reportpublic2017-03-12 01:242017-03-23 08:01
ReporterNickH 
Assigned Tobchambers 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.0 
Target Version7.3.1 UpdatesFixed in Version7.3.1 Updates 
Summary0013671: Network reports broken/empty
DescriptionThe Network Report has been broken apparently since 24/02. See https://www.clearos.com/clearfoundation/social/community/network-report-not-running-or-logging-since-februari-24-updates# [^]

My Network Reports show "Nothing to report ..." for each interface.
TagsNo tags attached.
Attached Files

- Relationships
related to 0013721closedbchambers New purge script drop tables' options 

-  Notes
(0005101)
bchambers (administrator)
2017-03-13 08:55

Something dropping all the table options (auto_increment, default values etc.). It is not just on an upgrade.

I fixed my tables last night by dropping the network table and re-adding using the schema. This morning, the options are gone again. Weird:

MariaDB [reports]> explain network;
+------------+---------------------+------+-----+---------------------+-------+
| Field | Type | Null | Key | Default | Extra |
+------------+---------------------+------+-----+---------------------+-------+
| id | bigint(20) unsigned | NO | | 0 | |
| iface | varchar(16) | NO | | NULL | |
| rx_bytes | bigint(20) | YES | | NULL | |
| rx_packets | bigint(20) | YES | | NULL | |
| rx_errors | bigint(20) | YES | | NULL | |
| rx_drop | bigint(20) | YES | | NULL | |
| rx_rate | bigint(20) | YES | | NULL | |
| tx_bytes | bigint(20) | YES | | NULL | |
| tx_packets | bigint(20) | YES | | NULL | |
| tx_errors | bigint(20) | YES | | NULL | |
| tx_drop | bigint(20) | YES | | NULL | |
| tx_rate | bigint(20) | YES | | NULL | |
| timestamp | timestamp | NO | | 0000-00-00 00:00:00 | |
+------------+---------------------+------+-----+---------------------+-------+
(0005111)
bchambers (administrator)
2017-03-13 08:58

Tracked it down to this script that runs daily:

/usr/sbin/purge-report-tables report

Investigating...

- Issue History
Date Modified Username Field Change
2017-03-12 01:24 NickH New Issue
2017-03-12 09:39 pbaldwin Status new => acknowledged
2017-03-12 09:39 pbaldwin Target Version => 7.3.1 Updates
2017-03-13 08:55 bchambers Note Added: 0005101
2017-03-13 08:58 bchambers Note Added: 0005111
2017-03-13 09:12 bchambers Assigned To => bchambers
2017-03-13 09:12 bchambers Status acknowledged => assigned
2017-03-13 09:47 bchambers Relationship added related to 0013721
2017-03-13 09:52 bchambers Status assigned => confirmed
2017-03-13 09:52 bchambers Status confirmed => resolved
2017-03-13 09:52 bchambers Fixed in Version => 7.3.1 Updates
2017-03-13 09:52 bchambers Resolution open => fixed
2017-03-23 08:01 pbaldwin Status resolved => closed